#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:7b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 7 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:-106b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Offhand is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:iron_helmet
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:iron_chestplate
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:iron_leggings
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:iron_boots{Enchantments:[{id:"minecraft:blast_protection",lvl:4},{id:"minecraft:depth_strider",lvl:1}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=0}] hotbar.0 with minecraft:diamond_sword
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=1}] hotbar.0 with minecraft:diamond_axe

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:7b}]}] run item replace entity @p hotbar.7 with minecraft:golden_apple
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:totem_of_undying
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:-106b}]}] run item replace entity @p weapon.offhand with minecraft:totem_of_undying

# Tags
scoreboard players set @p hasTotem 1
tag @p add armor-of-undying
advancement grant @p only creaturecombat:kit_chooser