#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:2b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 3 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:7b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 8 is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:diamond_helmet{Enchantments:[{id:"minecraft:blast_protection",lvl:2}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:diamond_chestplate{Enchantments:[{id:"minecraft:blast_protection",lvl:3}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:iron_leggings
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:iron_boots
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=0}] hotbar.0 with minecraft:iron_sword{Lifesteal:1,Enchantments:[{}],display:{Lore:['{"text":"Life Steal II","color":"gray","italic":false}']}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=1}] hotbar.0 with minecraft:iron_axe{Lifesteal:1,Enchantments:[{}],display:{Lore:['{"text":"Life Steal II","color":"gray","italic":false}']}}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:15261293,custom_potion_effects:[{id:"minecraft:absorption",amplifier:9,duration:200}],display:{Name:'{"text":"Potion of Absorption","italic":false}'}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:2b}]}] run item replace entity @p hotbar.2 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:15261293,custom_potion_effects:[{id:"minecraft:absorption",amplifier:4,duration:600}],display:{Name:'{"text":"Potion of Absorption","italic":false}'}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:7b}]}] run item replace entity @p hotbar.7 with minecraft:golden_apple 2

# Tags
tag @p add health
advancement grant @p only creaturecombat:kit_chooser