#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:2b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 3 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:3b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 4 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:7b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 8 is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:iron_helmet{display:{Lore:['{"text":"Gives the player Regeneration","color":"gray","italic":false}']}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:netherite_chestplate{display:{Lore:['{"text":"Gives mobs around you Wither","color":"gray","italic":false}']}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:iron_leggings{display:{Lore:['{"text":"Gives the player Haste","color":"gray","italic":false}']}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:netherite_boots{display:{Lore:['{"text":"Gives mobs around you Slowness","color":"gray","italic":false}']}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p hotbar.0 with minecraft:netherite_hoe{display:{Lore:['{"text":"Every fourth kill is an instakill","color":"gray","italic":false}']},AttributeModifiers:[{AttributeName:"minecraft:generic.attack_damage",Amount:6.0,Operation:0,Slot:"mainhand",UUID:[I;4834,3546,34,5634]}]}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:7b}]}] run item replace entity @p hotbar.7 with minecraft:golden_carrot{display:{Lore:['{"text":"Brings every player back to you when eaten.","color":"gray","italic":false}','{"text":"Dead or alive.","color":"gray","italic":false}']}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:potion{display:{Name:'{"text":"Potion of Living","italic":false}'},custom_potion_effects:[{id:"minecraft:speed",amplifier:0b,duration:2400},{id:"minecraft:strength",amplifier:0b,duration:2400},{id:"minecraft:resistance",amplifier:1b,duration:2400},{id:"minecraft:absorption",amplifier:4b,duration:1200}],CustomPotionColor:4315477} 1
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:2b}]}] run item replace entity @p hotbar.2 with minecraft:potion{display:{Name:'{"text":"Potion of Absorption","italic":false}'},custom_potion_effects:[{id:"minecraft:absorption",amplifier:7b,duration:1200}],CustomPotionColor:15390740} 1
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:3b}]}] run item replace entity @p hotbar.3 with minecraft:splash_potion{Potion:"minecraft:water",CustomPotionColor:3150094,custom_potion_effects:[{id:"minecraft:instant_damage",amplifier:11,duration:1}],display:{Name:'{"text":"Potion of Instant Death","italic":false}'}}

# Tags
tag @p add life-and-death
advancement grant @p only creaturecombat:kit_chooser