#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:7b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 8 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:-106b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Offhand is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:netherite_helmet
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:netherite_chestplate{Enchantments:[{id:"minecraft:protection",lvl:2}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:diamond_leggings
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:chainmail_boots{Enchantments:[{id:"minecraft:depth_strider",lvl:2}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p hotbar.0 with minecraft:trident{CustomTag:1}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:-106b}]}] run item replace entity @p weapon.offhand with minecraft:totem_of_undying
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:10148845,custom_potion_effects:[{id:"minecraft:speed",amplifier:2,duration:600}],display:{Name:'{"text":"Potion of Swiftness","italic":false}'}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:7b}]}] run item replace entity @p hotbar.7 with minecraft:golden_apple 2

# Tags
scoreboard players set @p hasTotem 1
tag @p add poseidon
advancement grant @p only creaturecombat:kit_chooser