#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:2b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 3 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:3b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 4 is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:netherite_helmet
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:diamond_chestplate{Enchantments:[{id:"minecraft:blast_protection",lvl:2s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:diamond_leggings{Enchantments:[{id:"minecraft:blast_protection",lvl:2s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:netherite_boots{AttributeModifiers:[{AttributeName:"minecraft:generic.movement_speed",Amount:0.075,Operation:0,Slot:"feet",UUID:[I;4389,6523,449,43942]}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=0}] hotbar.0 with minecraft:netherite_sword{Enchantments:[{id:"fire_aspect",lvl:1s},{id:"minecraft:sweeping",lvl:1s},{id:"minecraft:sharpness",lvl:1s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=1}] hotbar.0 with minecraft:netherite_axe{Enchantments:[{id:"fire_aspect",lvl:1s},{id:"minecraft:sweeping",lvl:1s},{id:"minecraft:sharpness",lvl:1s}]}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:flint_and_steel{CanPlaceOn:["minecraft:tnt","minecraft:grass_block","minecraft:dark_prismarine","minecraft:calcite"]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:2b}]}] run item replace entity @p hotbar.2 with minecraft:snowball{CustomModelData:1,display:{Name:'{"text":"Throwable Black Hole","italic":false}',Lore:['{"text":"Teleports all Creatures (20-block radius) to this specific spot","italic":false,"color":"gray"}']}} 5
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:3b}]}] run item replace entity @p hotbar.3 with minecraft:potion{custom_potion_effects:[{id:"minecraft:haste",amplifier:0,duration:2400},{id:"minecraft:instant_health",amplifier:1},{id:"minecraft:regeneration",amplifier:1,duration:2400},{id:"minecraft:resistance",amplifier:1,duration:2400},{id:"minecraft:absorption",amplifier:2,duration:2400}],CustomPotionColor:46582,display:{Name:'{"text":"Potion of Nova","italic":false}'}}

# Tags
tag @p add supernova
advancement grant @p only creaturecombat:kit_chooser