#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:7b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 8 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:-106b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Offhand is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:netherite_helmet{Enchantments:[{id:"minecraft:blast_protection",lvl:1}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:netherite_chestplate{Enchantments:[{id:"minecraft:blast_protection",lvl:2}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:diamond_leggings{Enchantments:[{id:"minecraft:blast_protection",lvl:2}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:iron_boots{Enchantments:[{id:"minecraft:blast_protection",lvl:1}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=0}] hotbar.0 with minecraft:iron_sword{Enchantments:[{id:"minecraft:sharpness",lvl:3}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=1}] hotbar.0 with minecraft:iron_axe{Enchantments:[{id:"minecraft:sharpness",lvl:3}]}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:7b}]}] run item replace entity @p hotbar.7 with minecraft:golden_apple 2
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:-106b}]}] run item replace entity @p weapon.offhand with minecraft:shield
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:potion{display:{Name:'{"text":"Potion of Regeneration","italic":false}'},custom_potion_effects:[{id:"minecraft:regeneration",amplifier:0b,duration:600}],CustomPotionColor:16749029}

# Tags
tag @p add tank
advancement grant @p only creaturecombat:kit_chooser