#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:2b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 3 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:7b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 8 is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:netherite_helmet
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:netherite_chestplate
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:iron_leggings{Enchantments:[{id:"minecraft:blast_protection",lvl:4}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:iron_boots{Enchantments:[{id:"minecraft:blast_protection",lvl:4}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p hotbar.0 with minecraft:carrot_on_a_stick{display:{Name:'{"text":"Diamond Sword (Uncharged)","italic":false}'},CustomModelData:1,AttributeModifiers:[{AttributeName:"minecraft:generic.attack_damage",Amount:6.5,Slot:"mainhand",Operation:0,UUID:[I;3927,2324,347,437]},{AttributeName:"minecraft:generic.attack_speed",Amount:1.6,Slot:"mainhand",Operation:0,UUID:[I;3927,2324,347,437]}]}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:7b}]}] run item replace entity @p hotbar.7 with minecraft:golden_apple 3
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:ender_pearl
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:2b}]}] run item replace entity @p hotbar.2 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:15586393,custom_potion_effects:[{id:"minecraft:haste",amplifier:1,duration:1200}],display:{Name:'{"text":"Potion of Haste","italic":false}'}}

# Tags
tag @p add charge-up
advancement grant @p only creaturecombat:kit_chooser