#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:leather_helmet{display:{Name:'{"text":"Seadog\'s Helmet","color":"#4F4E48","italic":false}',Lore:['{"text":"Shark Bait Protection I","color":"gray","italic":false}'],color:7368559},HideFlags:1,Enchantments:[{id:"minecraft:projectile_protection",lvl:1s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:leather_chestplate{display:{Name:'{"text":"Chestplate of the Seaven Seas","color":"#4F4E48","italic":false}',Lore:['{"text":"Shark Bait Protection I","color":"gray","italic":false}'],color:7368559},HideFlags:1,Enchantments:[{id:"minecraft:projectile_protection",lvl:1s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:chainmail_leggings
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:netherite_boots{display:{Lore:['{"text":"Sea Legs II","color":"gray","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:depth_strider",lvl:2s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p hotbar.0 with minecraft:trident{display:{Name:'{"text":"Trident","color":"#4F4E48","italic":false}',Lore:['{"text":"Riptide II, matey!","color":"gray","italic":false}','{"text":"Dead Men Tell No Tales II","color":"gray","italic":false}']},HideFlags:1,Enchantments:[{id:"minecraft:riptide",lvl:2s},{id:"minecraft:impaling",lvl:2s}]}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:spectral_arrow{display:{Name:'{"text":"Old Salt\'s Bounty"}'}}

# Tags
tag @p add drowned-pirate
advancement grant @p only creaturecombat:kit_chooser