#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:2b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 3 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:7b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 8 is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:netherite_chestplate{Enchantments:[{id:"minecraft:blast_protection",lvl:10s},{id:"minecraft:projectile_protection",lvl:7s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:netherite_leggings
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:netherite_boots{Enchantments:[{id:"minecraft:depth_strider",lvl:2s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p hotbar.0 with minecraft:snowball{display:{Name:'{"text":"Torch","italic":false}'},Enchantments:[{id:"minecraft:fire_aspect",lvl:2s}],CustomModelData:2,AttributeModifiers:[{AttributeName:"minecraft:generic.attack_damage",Amount:6.5,Operation:0,Slot:"mainhand",UUID:[I;74334,346,4573,2435]}]} 8

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:potion{display:{Name:'{"text":"Potion of Fire Resistance","italic":false}'},CustomPotionColor:15376727,custom_potion_effects:[{id:"minecraft:fire_resistance",duration:1200}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:2b}]}] run item replace entity @p hotbar.2 with minecraft:potion{display:{Name:'{"text":"Potion of Fire Resistance","italic":false}'},CustomPotionColor:15376727,custom_potion_effects:[{id:"minecraft:fire_resistance",duration:1200}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:7b}]}] run item replace entity @p hotbar.7 with minecraft:golden_apple 2

# Tags
tag @p add firebreather
advancement grant @p only creaturecombat:kit_chooser