#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:netherite_helmet
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:iron_chestplate
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=0}] hotbar.0 with minecraft:iron_sword{Enchantments:[{id:"minecraft:sharpness",lvl:3}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=1}] hotbar.0 with minecraft:iron_axe{Enchantments:[{id:"minecraft:sharpness",lvl:3}]}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:9981128,custom_potion_effects:[{id:"minecraft:speed",amplifier:2,duration:1200},{id:"minecraft:strength",amplifier:2,duration:1200}],display:{Name:'{"text":"Potion of Speedy Strength","italic":false}'}}

# Tags
tag @p add pro-fighter
advancement grant @p only creaturecombat:kit_chooser