#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:7b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 8 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:-106b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Offhand is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:iron_helmet{Enchantments:[{id:"minecraft:protection",lvl:2}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:iron_chestplate{Enchantments:[{id:"minecraft:projectile_protection",lvl:1}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:iron_leggings
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:iron_boots
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=0}] hotbar.0 with minecraft:iron_sword
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=1}] hotbar.0 with minecraft:iron_axe

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:7b}]}] run item replace entity @p hotbar.7 with minecraft:golden_apple 2
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:-106b}]}] run item replace entity @p weapon.offhand with minecraft:shield{BlockEntityTag:{Base:15,Patterns:[{Color:0,Pattern:"sku"}]},Enchantments:[{id:"minecraft:unbreaking",lvl:4}]}

# Tags
tag @p add shield
advancement grant @p only creaturecombat:kit_chooser