#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:2b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 3 is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:player_head{SkullOwner:"MHF_Skeleton"}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:iron_chestplate{Enchantments:[{id:"minecraft:projectile_protection",lvl:3s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:iron_leggings{Enchantments:[{id:"minecraft:projectile_protection",lvl:2s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:iron_boots{Enchantments:[{id:"minecraft:projectile_protection",lvl:2s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=0}] hotbar.0 with minecraft:stone_sword{AttributeModifiers:[{AttributeName:"minecraft:generic.attack_damage",Amount:5,Operation:0,Slot:"mainhand",UUID:[I;3479,34089,9340,782113]},{AttributeName:"minecraft:generic.movement_speed",Amount:0.05,Operation:0,Slot:"mainhand",UUID:[I;3282,3208,299338,3299]}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p[scores={weaponAxe=1}] hotbar.0 with minecraft:stone_axe{AttributeModifiers:[{AttributeName:"minecraft:generic.attack_damage",Amount:9,Operation:0,Slot:"mainhand",UUID:[I;3479,34089,9340,782113]},{AttributeName:"minecraft:generic.movement_speed",Amount:0.05,Operation:0,Slot:"mainhand",UUID:[I;3282,3208,299338,3299]}]}

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:bow{CustomModelData:2,Enchantments:[{id:"minecraft:flame",lvl:1s},{id:"minecraft:power",lvl:2s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:2b}]}] run item replace entity @p hotbar.2 with minecraft:arrow 64

# Tags
tag @p add skeleton
advancement grant @p only creaturecombat:kit_chooser