#-#-#-#-#-#-#-#-#-#-#-#
#  Creature Combat    #
#  1.20.2             #
#-#-#-#-#-#-#-#-#-#-#-#

# Kitremover
execute at @p run function mobbattle:kitremover

# Warnings
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:0b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 1 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:1b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 2 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:2b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 3 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:3b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 4 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:4b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Hotbar slot 5 is already in use"}
execute as @p at @s if entity @s[nbt={Inventory:[{Slot:-106b}]}] run tellraw @s {"text":"[Creature Combat] Item could not be given: Offhand is already in use"}

# Armor and Weapon
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:103b}]}] run item replace entity @p armor.head with minecraft:netherite_helmet{Enchantments:[{id:"minecraft:protection",lvl:2s}]}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:102b}]}] run item replace entity @p armor.chest with minecraft:leather_chestplate{display:{color:5847009}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:101b}]}] run item replace entity @p armor.legs with minecraft:leather_leggings{display:{color:3350404}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:100b}]}] run item replace entity @p armor.feet with minecraft:leather_boots{display:{color:5847009}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @p hotbar.0 with minecraft:stick{display:{Name:'{"text":"Wand","italic":false}'},Enchantments:[{id:"minecraft:smite",lvl:2s},{id:"minecraft:fire_aspect",lvl:2s}],AttributeModifiers:[{AttributeName:"minecraft:generic.attack_damage",Amount:9.0,Operation:0,Slot:"mainhand",UUID:[I;34598,43385,438,543]}]}
#item replace entity @p hotbar.1 minecraft:bow{Enchantments:[{id:"minecraft:flame",lvl:1s}]}
#item replace entity @p hotbar.2 minecraft:arrow 64

# Others
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:-106b}]}] run item replace entity @p weapon.offhand with minecraft:totem_of_undying

# Healthy Resistance
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:1b}]}] run item replace entity @p hotbar.1 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:13918845,custom_potion_effects:[{id:"minecraft:absorption",amplifier:2,duration:1200},{id:"minecraft:resistance",amplifier:1,duration:1200}],display:{Name:'{"text":"Potion of Healthy Resistance","italic":false}'}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:28b}]}] run item replace entity @p inventory.19 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:13918845,custom_potion_effects:[{id:"minecraft:absorption",amplifier:2,duration:1200},{id:"minecraft:resistance",amplifier:1,duration:1200}],display:{Name:'{"text":"Potion of Healthy Resistance","italic":false}'}}

# Regenerating Health
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:2b}]}] run item replace entity @p hotbar.2 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:15360315,custom_potion_effects:[{id:"minecraft:regeneration",amplifier:1,duration:1200},{id:"minecraft:health_boost",amplifier:2,duration:1200}],display:{Name:'{"text":"Potion of Regenerating Health","italic":false}'}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:29b}]}] run item replace entity @p inventory.20 with minecraft:potion{Potion:"minecraft:water",CustomPotionColor:15360315,custom_potion_effects:[{id:"minecraft:regeneration",amplifier:1,duration:1200},{id:"minecraft:health_boost",amplifier:2,duration:1200}],display:{Name:'{"text":"Potion of Regenerating Health","italic":false}'}}

# Freezing Wither
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:3b}]}] run item replace entity @p hotbar.3 with minecraft:splash_potion{Potion:"minecraft:water",CustomPotionColor:139558,custom_potion_effects:[{id:"minecraft:slowness",amplifier:2,duration:100},{id:"minecraft:wither",amplifier:2,duration:200}],display:{Name:'{"text":"Potion of Freezing Wither","italic":false}'}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:30b}]}] run item replace entity @p inventory.21 with minecraft:splash_potion{Potion:"minecraft:water",CustomPotionColor:139558,custom_potion_effects:[{id:"minecraft:slowness",amplifier:2,duration:100},{id:"minecraft:wither",amplifier:2,duration:200}],display:{Name:'{"text":"Potion of Freezing Wither","italic":false}'}}

# Instant Death
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:4b}]}] run item replace entity @p hotbar.4 with minecraft:splash_potion{Potion:"minecraft:water",CustomPotionColor:3150094,custom_potion_effects:[{id:"minecraft:instant_damage",amplifier:11,duration:1}],display:{Name:'{"text":"Potion of Instant Death","italic":false}'}}
execute as @p at @s unless entity @s[nbt={Inventory:[{Slot:31b}]}] run item replace entity @p inventory.22 with minecraft:splash_potion{Potion:"minecraft:water",CustomPotionColor:13118236,custom_potion_effects:[{id:"minecraft:instant_health",amplifier:11,duration:1}],display:{Name:'{"text":"Potion of Instant Life","italic":false}'}}

# Tags
scoreboard players set @p hasTotem 1
tag @p add witch
advancement grant @p only creaturecombat:kit_chooser